org.apache.olingo.odata2.ref.processor

## Class BeanPropertyAccess

- java.lang.Object
- - org.apache.olingo.odata2.ref.processor.BeanPropertyAccess

-     public class BeanPropertyAccess
      extends Object

  Data access.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanPropertyAccess()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> Object` | `getMappingValue(T data, EdmMapping mapping)`
    `<T> Class<?>` | `getPropertyType(T data, EdmProperty property)`
    `<T> Object` | `getPropertyValue(T data, EdmProperty property)`
    `<T,V> void` | `setMappingValue(T data, EdmMapping mapping, V value)`
    `<T,V> void` | `setPropertyValue(T data, EdmProperty property, V value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanPropertyAccess

          public BeanPropertyAccess()

  - ### Method Detail

    - #### getPropertyValue

          public <T> Object getPropertyValue(T data,
                                             EdmProperty property)
                                      throws ODataException

      Throws:
        `ODataException`

    - #### setPropertyValue

          public <T,V> void setPropertyValue(T data,
                                             EdmProperty property,
                                             V value)
                                      throws ODataException

      Throws:
        `ODataException`

    - #### getPropertyType

          public <T> Class<?> getPropertyType(T data,
                                              EdmProperty property)
                                       throws ODataException

      Throws:
        `ODataException`

    - #### getMappingValue

          public <T> Object getMappingValue(T data,
                                            EdmMapping mapping)
                                     throws ODataException

      Throws:
        `ODataException`

    - #### setMappingValue

          public <T,V> void setMappingValue(T data,
                                            EdmMapping mapping,
                                            V value)
                                     throws ODataException

      Throws:
        `ODataException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.